

delete from sys_dict where codeType='punishType';
INSERT INTO `sys_dict` (`isActive`, `codeType`, `tableName`, `description`, `codeValue`, `label`, `seq`)
VALUES ('1', 'punishType', NULL, '惩罚对象类型', '1', '个人', '1'),
('1', 'punishType', NULL, '惩罚对象类型', '2', '组织', '2');

##其它犯罪信息检查
DROP TABLE IF EXISTS `other_punish`;
CREATE TABLE `other_punish` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `areaCode` varchar(10) DEFAULT NULL COMMENT '数据区域',
  `active` bit(1) NOT NULL COMMENT '是否有效',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新者',
  `updateflag` bit(1) DEFAULT NULL COMMENT '更新标志位',
  `punish_type` varchar(5) DEFAULT NULL COMMENT '惩罚对象类型',
  `company_name` varchar(200) DEFAULT NULL COMMENT '公司名称',
  `address` varchar(500) DEFAULT NULL COMMENT '公司名称',
  `name` varchar(50) DEFAULT NULL COMMENT '姓名',
  `idnum` varchar(20) DEFAULT NULL COMMENT '身份证号',
  `phone` varchar(20) DEFAULT NULL COMMENT '手机号码',
  `case_no` varchar(50) DEFAULT NULL COMMENT '案件编号',
  `reason` longtext COMMENT '处罚原因',
  `content` longtext COMMENT '处罚内容',
  `punish_date` varchar(20) DEFAULT NULL COMMENT '处罚时间',
  `org_id` bigint(20) DEFAULT NULL COMMENT '作出处罚单位id',
  `org_name` varchar(200) DEFAULT NULL COMMENT '作出处罚单位',
  `other_org` varchar(500) DEFAULT NULL COMMENT '作出处罚决定的其他单位',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='其它犯罪信息检查';

DROP TABLE IF EXISTS `other_punish_involver`;
CREATE TABLE `other_punish_involver` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `areaCode` varchar(10) DEFAULT NULL COMMENT '数据区域',
  `active` bit(1) NOT NULL COMMENT '是否有效',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新者',
  `updateflag` bit(1) DEFAULT NULL COMMENT '更新标志位',
  `punishId` bigint(20) DEFAULT NULL COMMENT '处罚id',
  `name` varchar(50) DEFAULT NULL COMMENT '参与者姓名',
  `idnum` varchar(20) DEFAULT NULL COMMENT '参与者身份证号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='其它犯罪信息检查参与者';





###权限
INSERT INTO `module` (`id`, `code`, `name`, `url`, `seq`, `index`, `shortcut`, `class`, `action`, `active`, `create_time`, `update_time`, `update_by`, `moduletype`, `p_id`)
VALUES ('400', 'otherPunishList', '其它犯罪信息检查', '', '3', '\0', '\0', '', '', '', now(), now(), 'system', '1', '190'),


INSERT INTO `operation` (`code`, `name`, `module_id`, `active`, `create_time`, `update_time`, `update_by`)
SELECT 'query', '查询', 400, true, now(), now(), 'system' UNION
SELECT 'add', '新增', 400, true, now(), now(), 'system' UNION
SELECT 'edit', '修改', 400, true, now(), now(), 'system';


INSERT INTO`permission` (`role_id`, `module_id`, `operation_id`, `roletype`)
select pr.id,o.module_id,o.id,'2'
from police_role pr,police p,operation o,module m
where pr.active=true
and p.active=TRUE
and o.active=TRUE
and pr.orgid=p.id
and o.module_id=m.id
and m.id=400;

##外网权限删除
DELETE from permission where id in (
select t.id from (select p.id from module m, config c,permission p where (m.id=400)
AND c.active = TRUE
AND c.`key` = 'police'
AND c.`value` = '0'
and p.module_id=m.id)t
);


##外网权限删除
DELETE from operation where id in (
select t.id from (
select p.id from module m, config c,operation p where (m.id=400)
AND c.active = TRUE
AND c.`key` = 'police'
AND c.`value` = '0'
and p.module_id=m.id)t
);

##外网权限删除
delete FROM module where id in (
select t.id from (
select m.id from module m, config c WHERE (m.id=400)
AND c.active = TRUE
AND c.`key` = 'police'
AND c.`value` = '0')t
);
